Name:           getvirtualbox
Version:        5.1.26
Release:        %mkrel 1
License:        GNU General Public License (GPL)
URL:            http://www.virtualbox.org/
Source:         %{name}-%{version}.tar.xz
Summary:        Script to manage VirtualBox installation
Summary(de):    Skript zum Management der Installation von VirtualBox
Group:          Emulators
Requires:	libnotify
Requires:	zenity
Requires:	bash
Requires:	wget apt apt-common
Requires:	gksu
Requires:	python >= 2.7
Requires:	%{_lib}SDL1.2_0
# Requires:       libqt5core5
# Requires:       libqt5dbus5
# Requires:       libqt5gui5
# Requires:       libqt5opengl5
# Requires:       libqt5printsupport5
# Requires:       libqt5widgets5
# Requires:       libqt5x11extras5
# Requires:       libqt5xcbqpa5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:	%{name} < %version
Conflicts:	dkms-vboxadditions
Conflicts:	dkms-virtualbox 
Conflicts:	virtualbox 
Conflicts:	virtualbox-guest-additions
Conflicts:	VirtualBox-3.1

%description
This script provides management of Virtual Box with USB support for PCLinuxOS.

%description -l de
Dieses Script managt Virtual Box mit USB-Unterstützung für PCLinuxOS.

%prep

%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 0644 %{name}.png %{buildroot}/%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT/%_datadir/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=VirtualBox Manager
GenericName=VirtualBox Manager
Type=Application
Exec=getvirtualbox
TryExec=getvirtualbox
Icon=getvirtualbox.png
Comment=Manage VirtualBox installation
Categories=Emulator;X-MandrivaLinux-MoreApplications-Emulators;PackageManager;GTK;System;X-MandrivaLinux-System-Configuration-Packaging;
Terminal=false
StartupNotify=true
EOF


# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,fr}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-de.po
msgfmt -o  %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-fr.po

%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%pre
rm -rf /var/lib/dkms/vboxdrv >/dev/null 2>&1
rm -rf /var/lib/dkms/vboxnetadp >/dev/null 2>&1
rm -rf /var/lib/dkms/vboxnetflt >/dev/null 2>&1
rm -rf /var/lib/dkms/vboxhost >/dev/null 2>&1

%clean
rm -rf %{buildroot}

%posttrans
notify-send "VirtualBox Manager" "To manage your VirtualBox installation please run: PCmenu -> Software Center -> VirtualBox Manager" -i /usr/share/pixmaps/getvirtualbox.png -t 120000  


%changelog
* Sun Aug 28 2017 adrianomorselli <adrianomorselli> 5.1.26-1uplos2017
- security update
